# These are the known columns as of 2025-03-22. EIA has an observed trend of adding
# new fuel types to this dataset.
EIA_FUEL_TYPES = [
    "Battery Storage",
    "Coal",
    "Geothermal",
    "Hydro",
    "Natural Gas",
    "Nuclear",
    "Other",
    "Other Energy Storage",
    "Petroleum",
    "Pumped Storage",
    "Solar",
    "Solar With Integrated Battery Storage",
    "Unknown Energy Storage",
    "Wind",
    "Wind With Integrated Battery Storage",
]

EIA_FUEL_MIX_COLUMNS = [
    "Interval Start",
    "Interval End",
    "Respondent",
    "Respondent Name",
] + EIA_FUEL_TYPES[:]

OPERATING_GENERATOR_COLUMNS = [
    "Period",
    "Updated At",
    "Entity ID",
    "Entity Name",
    "Plant ID",
    "Plant Name",
    "Plant State",
    "County",
    "Balancing Authority Code",
    "Sector",
    "Generator ID",
    "Unit Code",
    "Nameplate Capacity",
    "Net Summer Capacity",
    "Net Winter Capacity",
    "Technology",
    "Energy Source Code",
    "Prime Mover Code",
    "Operating Month",
    "Operating Year",
    "Planned Retirement Month",
    "Planned Retirement Year",
    "Status",
    "Nameplate Energy Capacity",
    "DC Net Capacity",
    "Planned Derate Year",
    "Planned Derate Month",
    "Planned Derate of Summer Capacity",
    "Planned Uprate Year",
    "Planned Uprate Month",
    "Planned Uprate of Summer Capacity",
    "Latitude",
    "Longitude",
]

PLANNED_GENERATOR_COLUMNS = [
    "Period",
    "Updated At",
    "Entity ID",
    "Entity Name",
    "Plant ID",
    "Plant Name",
    "Plant State",
    "County",
    "Balancing Authority Code",
    "Sector",
    "Generator ID",
    "Unit Code",
    "Nameplate Capacity",
    "Net Summer Capacity",
    "Net Winter Capacity",
    "Technology",
    "Energy Source Code",
    "Prime Mover Code",
    "Planned Operation Month",
    "Planned Operation Year",
    "Status",
    "Latitude",
    "Longitude",
]

RETIRED_GENERATOR_COLUMNS = [
    "Period",
    "Updated At",
    "Entity ID",
    "Entity Name",
    "Plant ID",
    "Plant Name",
    "Plant State",
    "County",
    "Balancing Authority Code",
    "Sector",
    "Generator ID",
    "Unit Code",
    "Nameplate Capacity",
    "Net Summer Capacity",
    "Net Winter Capacity",
    "Technology",
    "Energy Source Code",
    "Prime Mover Code",
    "Operating Month",
    "Operating Year",
    "Retirement Month",
    "Retirement Year",
    "Nameplate Energy Capacity",
    "DC Net Capacity",
    "Latitude",
    "Longitude",
]

CANCELED_OR_POSTPONED_GENERATOR_COLUMNS = [
    "Period",
    "Updated At",
    "Entity ID",
    "Entity Name",
    "Plant ID",
    "Plant Name",
    "Plant State",
    "County",
    "Balancing Authority Code",
    "Sector",
    "Generator ID",
    "Unit Code",
    "Nameplate Capacity",
    "Net Summer Capacity",
    "Net Winter Capacity",
    "Technology",
    "Energy Source Code",
    "Prime Mover Code",
    "Latitude",
    "Longitude",
]

GENERATOR_FLOAT_COLUMNS = [
    "Nameplate Capacity",
    "Net Summer Capacity",
    "Net Winter Capacity",
    "Nameplate Energy Capacity",
    "DC Net Capacity",
    "Planned Derate of Summer Capacity",
    "Planned Uprate of Summer Capacity",
    "Latitude",
    "Longitude",
]

GENERATOR_INT_COLUMNS = [
    "Entity ID",
    "Plant ID",
    # Generator ID is not an integer
    "Operating Month",
    "Operating Year",
    "Planned Operation Month",
    "Planned Operation Year",
    "Planned Retirement Month",
    "Planned Retirement Year",
    "Planned Derate Year",
    "Planned Derate Month",
    "Planned Uprate Year",
    "Planned Uprate Month",
    "Planned Operation Year",
    "Retirement Month",
    "Retirement Year",
]
